Show CaptionsAsk AIget https://api.wistia.com/modern/medias/{mediaHashedId}/captions/{languageCode}Returns a video's captions in the specified language. Supports multiple formats: JSON (default), SRT, VTT, and TXT. Use file extensions (.srt, .vtt, .txt) or Accept headers to specify format. Requires api token with one of the following permissions Read all folder and media dataPath ParamsmediaHashedIdstringrequiredThe hashed ID of the media from which captions are to be retrieved.languageCodestringrequiredThe 3-character ISO 639-2 language code of the captions to be retrieved (e.g., eng, fra, spa). Some languages use extended IETF subtags (e.g., zh-Hant).HeadersX-Wistia-API-VersionstringrequiredDefaults to 2026-03acceptstringenumDefaults to application/jsonGenerated from available response content typesapplication/jsontext/plaintext/vttAllowed:application/jsontext/plaintext/vttResponses 200Successful response containing captions in the requested format 401Unauthorized, invalid or missing token 404Captions not found or video not found 500Internal server errorUpdated about 1 month ago